
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PHP中date时差问题解决方法 / iVAN</title>

    <meta name="description" content="PHP中date时差问题解决方法 今天遇到 date(&quot;Y-m-d H:i:s&quot;) 的时间总是与实际时间对不上.于是查询了相关资料知道了原因,整理如下.       出现这一现象的原因: 从php5.1.0开始,php.ini里加入了date.timezone这个选项,默认情况下是关闭的,也就是显示的时间时区.默认情况都是格林威治标准时间和我们的时间(北京时间)差了正好8个小时.   解决方法:   1.最简单的方法就是不要用php5.1以上的版本   2.修改php.ini配置文件   可在php.ini中 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">PHP中date时差问题解决方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>今天遇到 date(“Y-m-d H:i:s”) 的时间总是与实际时间对不上。于是查询了相关资料知道了原因，整理如下。<br />
 <br />
 <br />
 <br />
出现这一现象的原因：<br />
从php5.1.0开始，php.ini里加入了date.timezone这个选项，默认情况下是关闭的，也就是显示的时间时区。默认情况都是格林威治标准时间和我们的时间（北京时间）差了正好8个小时。<br />
 <br />
解决方法：<br />
 <br />
1、最简单的方法就是不要用php5.1以上的版本<br />
 <br />
2、修改php.ini配置文件<br />
 <br />
可在php.ini中查找date.timezone并修改.<br />
 <br />
Windows下php.ini一般在：C:/WINDOWS/php.ini<br />
 <br />
Linux下php.ini一般在：/etc/php.ini<br />
 <br />
按照上面提示找到php.ini下的date.timezone 这行，如果找不到可以自行添加。去除前面的分号，修改成  date.timezone = “Asia/Shanghai”，记得重启http服务（如apache2或iis等）即可。<br />
 <br />
 <br />
 <br />
date.timezone 分号后面的值参考，<br />
 <br />
大陆内地可用的值是：Asia/Chongqing ，Asia/Shanghai ，Asia/Urumqi （依次为重庆，上海，乌鲁木齐）<br />
 <br />
港台地区可用：Asia/Macao ，Asia/Hong_Kong ，Asia/Taipei （依次为澳门，香港，台北）<br />
 <br />
还有新加坡：Asia/Singapore<br />
 <br />
老外好像把北京漏调了<br />
 <br />
其他可用的值是：Etc/GMT-8 ，Singapore ，Hongkong ，PRC<br />
 <br />
PRC是什么？PRC是中华人民共和国啊<br />
 <br />
3、如果一定要用php5.1以上的版本，而且不能修改php.ini配置文件。<br />
 <br />
（1）在PHP代码处理时间时添加8小时得到正确中国时间  date(‘Y-m-d H:i:s’, time()+8*3600);<br />
（2）在关于时间的初始化语句上面加上 date_default_timezone_set (XXX)，或者在页头使用date_default_timezone_set(XXX)设置我的默认时区为北京时间 date_default_timezone_set(’Asia/Shanghai’)也可以。<br />
 <br />
 <br />
 <br />
 <br />
 <br />
 <br />
 <br />
格式字串可以识别以下 format 参数的字符串<br />
format字符<br />
		说明<br />
		返回值例子<br />
日<br />
		—<br />
		—<br />
d<br />
		月份中的第几天，有前导零的 2 位数字<br />
		01 到 31<br />
D<br />
		星期中的第几天，文本表示，3 个字母<br />
		Mon 到 Sun<br />
j<br />
		月份中的第几天，没有前导零<br />
		1 到 31<br />
l（“L”的小写字母）<br />
		星期几，完整的文本格式<br />
		Sunday 到 Saturday<br />
N<br />
		ISO-8601 格式数字表示的星期中的第几天（PHP 5.1.0 新加）<br />
		1（表示星期一）到 7（表示星期天）<br />
S<br />
		每月天数后面的英文后缀，2 个字符<br />
		st，nd，rd 或者 th。可以和 j 一起用<br />
w<br />
		星期中的第几天，数字表示<br />
		0（表示星期天）到 6（表示星期六）<br />
z<br />
		年份中的第几天<br />
		0 到 365<br />
星期<br />
		—<br />
		—<br />
W<br />
		ISO-8601 格式年份中的第几周，每周从星期一开始（PHP 4.1.0 新加的）<br />
		例如：42（当年的第 42 周）<br />
月<br />
		—<br />
		—<br />
F<br />
		月份，完整的文本格式，例如 January 或者 March<br />
		January 到 December<br />
m<br />
		数字表示的月份，有前导零<br />
		01 到 12<br />
M<br />
		三个字母缩写表示的月份<br />
		Jan 到 Dec<br />
n<br />
		数字表示的月份，没有前导零<br />
		1 到 12<br />
t<br />
		给定月份所应有的天数<br />
		28 到 31<br />
年<br />
		—<br />
		—<br />
L<br />
		是否为闰年<br />
		如果是闰年为 1，否则为 0<br />
o<br />
		ISO-8601 格式年份数字。这和 Y 的值相同，只除了如果 ISO 的星期数（W）属于前一年或下一年，则用那一年。（PHP 5.1.0 新加）<br />
		Examples: 1999 or 2003<br />
Y<br />
		4 位数字完整表示的年份<br />
		例如：1999 或 2003<br />
y<br />
		2 位数字表示的年份<br />
		例如：99 或 03<br />
时间<br />
		—<br />
		—<br />
a<br />
		小写的上午和下午值<br />
		am 或 pm<br />
A<br />
		大写的上午和下午值<br />
		AM 或 PM<br />
B<br />
		Swatch Internet 标准时<br />
		000 到 999<br />
g<br />
		小时，12 小时格式，没有前导零<br />
		1 到 12<br />
G<br />
		小时，24 小时格式，没有前导零<br />
		0 到 23<br />
h<br />
		小时，12 小时格式，有前导零<br />
		01 到 12<br />
H<br />
		小时，24 小时格式，有前导零<br />
		00 到 23<br />
i<br />
		有前导零的分钟数<br />
		00 到 59&gt;<br />
s<br />
		秒数，有前导零<br />
		00 到 59&gt;<br />
时区<br />
		—<br />
		—<br />
e<br />
		时区标识（PHP 5.1.0 新加）<br />
		例如：UTC，GMT，Atlantic/Azores<br />
I<br />
		是否为夏令时<br />
		如果是夏令时为 1，否则为 0<br />
O<br />
		与格林威治时间相差的小时数<br />
		例如：+0200<br />
P<br />
		与格林威治时间（GMT）的差别，小时和分钟之间有冒号分隔（PHP 5.1.3 新加）<br />
		例如：+02:00<br />
T<br />
		本机所在的时区<br />
		例如：EST，MDT（【译者注】在 Windows 下为完整文本格式，例如“Eastern Standard Time”，中文版会显示“中国标准时间”）。<br />
Z<br />
		时差偏移量的秒数。UTC 西边的时区偏移量总是负的，UTC 东边的时区偏移量总是正的。<br />
		-43200 到 43200<br />
完整的日期／时间<br />
		—<br />
		—<br />
c<br />
		ISO 8601 格式的日期（PHP 5 新加）<br />
		2004-02-12T15:19:21+00:00<br />
r<br />
		RFC 822 格式的日期<br />
		例如：Thu, 21 Dec 2000 16:01:07 +0200<br />
U<br />
		从 Unix 纪元（January 1 1970 00:00:00 GMT）开始至今的秒数<br />
		参见 time()<br />
分类: PHP</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-03 15:32:16</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e5%ad%97/" title="数字">数字</a>, <a href="https://www.iamivan.net/tag/%e6%97%b6%e9%97%b4/" title="时间">时间</a>, <a href="https://www.iamivan.net/tag/%e6%97%b6%e5%8c%ba/" title="时区">时区</a>, <a href="https://www.iamivan.net/tag/%e6%a0%bc%e5%bc%8f/" title="格式">格式</a>, <a href="https://www.iamivan.net/tag/%e6%96%b0%e5%8a%a0%e5%ad%97%e6%ae%b5/" title="新加字段">新加字段</a>, <a href="https://www.iamivan.net/tag/%e6%96%b0%e5%8a%a0%e6%96%b9%e6%b3%95/" title="新加方法">新加方法</a>, <a href="https://www.iamivan.net/tag/%e5%b0%8f%e6%97%b6/" title="小时">小时</a>, <a href="https://www.iamivan.net/tag/php%e4%b8%ad%e7%9a%84%e6%97%b6%e9%97%b4%e6%98%be%e7%a4%ba/" title="php中的时间显示">php中的时间显示</a>, <a href="https://www.iamivan.net/tag/date-timezone%e8%ae%be%e7%bd%ae/" title="date&period;timezone设置">date&period;timezone设置</a>, <a href="https://www.iamivan.net/tag/%e5%89%8d%e5%af%bc/" title="前导">前导</a>, <a href="https://www.iamivan.net/tag/%e7%ac%ac%e5%87%a0%e5%a4%a9/" title="第几天">第几天</a>, <a href="https://www.iamivan.net/tag/%e6%97%b6%e5%b7%ae%e9%97%ae%e9%a2%98/" title="时差问题">时差问题</a>, <a href="https://www.iamivan.net/tag/php-ini%e4%b8%addate-timezone/" title="php&period;ini中date&period;timezone">php&period;ini中date&period;timezone</a>, <a href="https://www.iamivan.net/tag/php%e6%95%b0%e5%ad%97%e6%a0%bc%e5%bc%8f%e5%8c%96/" title="PHP数字格式化">PHP数字格式化</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>PHP中date时差问题解决方法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEY4mAb.html" rel="bookmark">ajax调用中ie缓存问题解决方法&lowbar;AJAX相关</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例分析了ajax调用中ie缓存问题解决方法.分享给大家供大家参考,具体如下: ajax请求调用的过程中发现的问题:后台请求是一个简单的.aspx文件,而这个页面又没有考虑过缓存的影响,使用ajax调试的时候发现有时候根本不走后台代码直接返回结果了,所以估计是受到浏览器缓存的影响.网上搜了一下,果然是缓存的问题:&quot;IE中如果XMLHttpRequest提交的URL与历史一样则使用缓存,根本不向服务器端提交.因此无法取到刚提交的数据或新的数据&quot;. 解决方法大致有下面几种: 1.只改进			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxlqX7M.html" rel="bookmark">ajax调用中ie缓存问题解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例分析了ajax调用中ie缓存问题解决方法.分享给大家供大家参考,具体如下: ajax请求调用的过程中发现的问题:后台请求是一个简单的.aspx文件,而这个页面又没有考虑过缓存的影响,使用ajax调试的时候发现有时候根本不走后台代码直接返回结果了,所以估计是受到浏览器缓存的影响.网上搜了一下,果然是缓存的问题:&quot;IE中如果XMLHttpRequest提交的URL与历史一样则使用缓存,根本不向服务器端提交.因此无法取到刚提交的数据或新的数据&quot;. 解决方法大致有下面几种: 1.只改进			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRyAXKb.html" rel="bookmark">web&period;py在SAE中的Session问题解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了web.py在SAE中的Session问题解决方法(使用mysql存储),本文直接给出实现代码,代码中包含详细注释,需要的朋友可以参考下 这段时间一直想尝试着在SAE中使用Python,初步选择了Web.py框架做为开发框架,但是可怜SAE上的资料少的可怜,有点问题基本上解决不了,今天解决一个Session在Session的存储问题,在SAE中不能直接用本地文件存储,好像是权限的原因,我现在采用的是保存在mysql中,效果也不错.希望对大家有帮助.直接上代码了. index			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgEO0Az.html" rel="bookmark">java 传递过程中出现的问题解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				java 传递过程中出现的问题解决方法  * 测试conn关闭情况  */ package com.hb.test; import java.sql.connection; /**  *  * @author icecold  */ public class testconn {    static connection conn = null;     public static void main(string[] args)throws exception {         conn =			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9jRxgp.html" rel="bookmark">zend framework框架中url大小写问题解决方法&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有用过Zend Framework框架开发过项目的网友都知道 Zend Framework (ZF) MVC中的Controller和Action名称默认是不支持大小写的,这对于已经习惯了驼峰式代码风格的开发人员来说,显然是难以接受的.还好可以设定前端控制器FrontController的useCaseSensitiveActions参数来让Zend Framework支持大小写的Controller与Action命名,代码如下: 复制代码 代码如下: $front = Zend_Control			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn8EXrb.html" rel="bookmark">JavaScript中的常见问题解决方法&lpar;乱码&comma;IE缓存&comma;代理&rpar;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				解决AJAX中文乱码常用的两种方法 1. 在客户端进行encodeURI(utf-8也可以不做,默认),在服务器端将iso-8859-1编码转为utf-8编码 2.在客户端进行两次encodeURI,在服务器端进行一次转换. 第2种方法能解决问题的原因: 进行两次转换后,在第一次getparameter方法中进行第一次解码,因为解出来的是英文(第一次encode之后的结果),所以不会出问题:第二次使用URLDecoder的decode方法,所以能正常解决这个问题.需要注意的是,在decode方法			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2W5PrM.html" rel="bookmark">photoshop里布尔运算中经常出现问题解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				给各位photoshop软件的使用者们来详细的解析分享一下布尔运算中经常出现问题的解决方法. 方法分享:   好了,以上的信息就是小编给各位photoshop的这一款软件的使用者们带来的详细的布尔运算中经常出现问题的解决方法析分享的全部内容了,各位看到这里的使用者们小编相信大家现在那是非常的清楚了问题的解决方法了吧,希望小编上面给大家分享的解决方法能给各位带去有用的帮助.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zePBYOp.html" rel="bookmark">Android中通知栏跳动问题解决方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				曾经遇到过这样的问题,在我的代码中使用了通知栏,一切都正常,但是就是正在进行的通知栏中属于我的程序的那一条总是上下跳来跳去,一闪一闪的.感觉用户体验很不好,于是Google一下,找到了解决方法. 在我的代码,我是这样写的. 复制代码 代码如下: notification.when = System.currentTimeMillis(); 这就是问题的关键,对于通知来说,when这个属性值应该在activity一启动的时候就应该固定.如果没有固定,就会使用默认的值,默认的值就是当前的时间,即Sy			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV9NVnp.html" rel="bookmark">JSP中Ajax乱码问题解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				AJAX传递中文字符串时必须把中文字符串编码成unicode,一般会用到JS的自带函数escape().不过找到了更好的函数来确决中文字符转换成unicode编码的函数    代码如下 复制代码 function uniencode(text)   {       text = escape(text.toString()).replace(/＼+/g, &quot;%2B&quot;);       var matches = text.match(/(%([0-9A-F]{2}))/gi);     			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZXqMn.html" rel="bookmark" class="title">怎么给在win7下的照片批量重命名？</a>
					<div>
						  第一.Windows7系统支持强大的多媒体功能,对于照片的浏览.管理.处理等功能都远比之前的WinXP和Vista系统更强大,也许你使用 Windows7系统很久了还没有发现它对照片管理的方便之处 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5RdDz.html" rel="bookmark" class="title">配置DokuWiki的URL重写</a>
					<div>
						使用Dokuwiki搭建了一个wiki,但是wiki的url感觉不大美观.于是就设置了url重写,让它和平时看到的wiki的url一样. DokuWiki的三种URL 默认情况下,DokuWiki不做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5mjap.html" rel="bookmark" class="title">什么时候，我们除了PV还有更多的追求</a>
					<div>
						有关alexa的争议最近又开始热闹起来,本来不太想趟这一滩浑水,昨天与一个朋友聊起一些事,又想说几句. 国内很多信息不透明,很难通过公开的渠道获取真实的数据,很多事情,行外与行内看起来会有巨大的差别, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxQvmp.html" rel="bookmark" class="title">Photoshop婚纱照片调色教程&colon;暖色调新娘</a>
					<div>
						素材图片虽然是在霞光中拍摄,不够暖色部分还不够明显,处理的时候需要用调色工具适当加强一下暖色,局部再加上一些高光即可.原图 最终效果 [1] [2] [3] [4] [5] [6] [7] [8] [ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2G6Kb.html" rel="bookmark" class="title">中国加大科研投入 2009年将达1761亿元</a>
					<div>
						[比特网(Chinabyte)6月18日消息]第七届大连软交会今日在大连世界博览广场开幕,国家科技部副部长杜占元在会上透露说,2009年将加大科研经费投入. 杜占元表示,为有效应对国际金融危机,党中央 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPdvGz.html" rel="bookmark" class="title">将SQLServer结果导出为excel文件</a>
					<div>
						  相信大家常常会遇到将SqlServer查询结果导出到Excel的问题.如果导出的次数少,直接&quot;Save Results As...&quot;就是了;但是当要分别在每个表取样,那就相当麻 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVn3vVz.html" rel="bookmark" class="title">WPS表格教程：报表&OpenCurlyDoubleQuote;表头&rdquo;的打印技巧</a>
					<div>
						年终已到,各部门又要开始整理年终材料了,其中,报表又是不可缺少的材料之一,当报表的页数较多,每页都要打印上表头时,有些对办公软件不太熟悉的人就犯难了,非要每页都插入一行表头吗?当然不是,只要简单设置即 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ78v4b.html" rel="bookmark" class="title">浅析Banner设计</a>
					<div>
						当今,无论任何一款互联网产品,都需要搭载PC平台进行推广,Banner更是推广的一大利器,怎么将Banner设计好就成为一个需要探讨研究的课题. Banner规格尺寸大小不一,文件大小也有一定的限制, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEWOob.html" rel="bookmark" class="title">那些奇怪的Win8应用大盘点</a>
					<div>
						  首先是一款游戏:&lt;Football Throw Stopper&gt;,外媒对这个游戏的评价是:蠢爆了.具体怎么玩就是通过点击足球来阻止它到达终点区域.Neowin表示,这个游戏实在是太无趣 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1n3qz.html" rel="bookmark" class="title">电脑文件上传分享如何一键完</a>
					<div>
						  关于文件分享可以选择的途径有很多,现在最常见的分享方式就是通过网盘来操作.可是传统的分享方式比较繁琐,首先需要上传文件到网盘空间,接着进行相应的分享设置.好在现在利用Droplr这款云端服务,可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXo7qp.html" rel="bookmark" class="title">如何修改Windows7回收站空间的大小</a>
					<div>
						  故障现象: 删除大文件的时候系统会提示&quot;该文件太大,无法放入回收站,是否要永久删除该文件&quot;删完后就找不回来了,可以通过增大回收站的方法,避免提示与永久删除. 解决方案: 删除文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWDEvp.html" rel="bookmark" class="title">pgbadger监控安装和使用</a>
					<div>
						pgbadger监控安装和使用  https://github.com/dalibo/pgbadger/tree/v3.3   --安装包的下载地址,可以随意选择自己想要的版本  1.解压下载的安装包 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6ZY0b.html" rel="bookmark" class="title">带你实现开发者头条&lpar;二&rpar; 实现左滑菜单</a>
					<div>
						title: 带你实现开发者头条(二) 实现左滑菜单 tags: 左滑菜单,android 自带侧滑,DrawerLayout grammar_cjkRuby: true --- 今天开始模仿开发者头 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2ejrb.html" rel="bookmark" class="title">一个简单的Fibonacci类的封装</a>
					<div>
						class Fibonacci def initialize rewind end def next tmp = @v0 @v0,@v1=@v1,@v0+@v1 tmp end def rewind  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAyqoM.html" rel="bookmark" class="title">C中的结构体对齐可以把下一个的类型补到前一个？？？</a>
					<div>
						问题描述 C中的结构体对齐可以把下一个的类型补到前一个??? 解决方案 结构体对齐说的是编译器的事情,不是你定义一个字段然后自己去凑.千万不要从百度百科这种垃圾网站获得信息. 解决方案二: 同一类型的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lYg5b.html" rel="bookmark" class="title">地图api-asp利用百度地图 判断两点之间的距离多少米</a>
					<div>
						问题描述 asp利用百度地图 判断两点之间的距离多少米 asp利用百度地图 判断两点之间的距离多少米 我用asp做的手机网站,希望通过得到用户当前的坐标,然后判断离他最近的商户的位置.如何实现,救大神 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWRLWz.html" rel="bookmark" class="title">MySQL锁系列（九）之 long transaction</a>
					<div>
						一.背景 最近凌晨05:00总是接到来自SQL防火墙的告警: group_name id user host db command time info state BASE 1059712468 xx ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWl9Yrp.html" rel="bookmark" class="title">eclipse-android自定义控件属性报错</a>
					<div>
						问题描述 android自定义控件属性报错 用eclipse开发 删掉定义的两个属性就正常了 添加后R文件最后就会少一个括号 不知道什么原因 解决方案 Android 自定义控件与属性Android自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXL4xz.html" rel="bookmark" class="title">软件上绑着木马 国内某金融网站疑遭病毒感染</a>
					<div>
						[51CTO.com 独家报道]笔者昨日在国内某知名金融网站上试用软件时,发现该站上大部分软件均被捆绑了木马.绑马的软件下载地址包括:hxxp://www.XXX.com/cd/1.asp中的大部分软 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRNl6b.html" rel="bookmark" class="title">成功设计网站URL的八大重点</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 网站URL的设计是每位站长必须重视 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RZRqz.html" rel="bookmark" class="title">Spring MVC 更灵活的控制 json 返回</a>
					<div>
						这篇文章主要讲 Spring MVC 如何动态的去返回 Json 数据 在我们做 Web 接口开发的时候, 经常会遇到这种场景. 两个请求,返回同一个对象,但是需要的返回字段并不相同.如以下场景 /* ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXJX9b.html" rel="bookmark" class="title">想弄一个安全退出按钮，但是不起作用，看不出哪里有错，求助asp&period;net c&num; &plus;sql server2008</a>
					<div>
						问题描述 解决方案 解决方案二:为什么觉得他没起作用呢?提示退出成功了,得刷新页面或者跳到登录页面吧!解决方案三:引用1楼vaecnfeilong的回复: 为什么觉得他没起作用呢?提示退出成功了,得刷 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKwJ6p.html" rel="bookmark" class="title">应采儿携耿乐拍写真自曝家居装饰拒绝碎花</a>
					<div>
						近日,应采儿携手耿乐为&lt;精品购物指南&gt;杂志拍摄写真.在谈到家居风格装修时,应采儿自曝最讨厌小女生感觉的房间,拒绝一切小碎花风格的家居用品.[page] [page] [page] [pag ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlXAvp.html" rel="bookmark" class="title">百度云网盘快速申请注册账号教程</a>
					<div>
						1进入百度云官网就会看到如图所示,点立即注册. 2.会转到注册页面,这里提供两种注册方式:手机注册和邮箱注册. 3.如果选择手机注册,填入你的手机号,然后点&quot;获取短信激活码&quot;,稍等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6PAgM.html" rel="bookmark" class="title">问一下，进入AWS的流量会不会超？计数吗？</a>
					<div>
						问题描述 问一下,进入AWS的流量会不会超?计数吗? 解决方案 解决方案二:进入免费,出收费					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKq22Ep.html" rel="bookmark" class="title">xml-java组装规定格式的XML &comma;写完之后不生效</a>
					<div>
						问题描述 java组装规定格式的XML ,写完之后不生效 ! 一张图是格式,一张图是我的代码 解决方案 这个xml没有问题 抱歉 我没打印出来 解决方案二: 没懂你什么意思... 解决方案三: 是不是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0YWLnp.html" rel="bookmark" class="title">duilib List控件，横向滚动时列表项不移动或者显示错位的bug的修复</a>
					<div>
						转载请说明出处,谢谢~~:http://blog.csdn.net/zhuhongshu/article/details/42264673         关于这个bug的修复我之前写过一篇博客,连接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7wAEp.html" rel="bookmark" class="title">群雄逐鹿超级计算机&OpenCurlyDoubleQuote;头把交椅&rdquo;</a>
					<div>
						中国&quot;天河一号&quot;排名第二,进入500强榜单总数在全球仅次于美国 国际TOP500组织20日在网站上公布了最新全球超级计算机500强排行榜,日本超级计算机&quot;京&quot;以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn48qrb.html" rel="bookmark" class="title">支持多达39种音效i 爱欧迪i9网购最低628元</a>
					<div>
						泡泡网MP3频道3月22日 爱欧迪i9支持多达39种音效,加入了多种混响效果,现价仅628元,具有一定性价比. i9搭载了2.0英寸26万色320×240分辨率显示屏,可以播放AVI.WMV.Xvid ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn44wWb.html" rel="bookmark" class="title">怎么把Action生成的图片保存到数据库中。坐等大神出现</a>
					<div>
						问题描述 在Strut2的一个Action中,我用JFreeChart生成了一个图片.请问怎么把这个图片保存到MySql数据库呢,是直接保存图片好呢 还是保存图片路径好.希望大神们指点下 保存路径时候 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
